import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage).
import java.util.*; // In particular, this import will allow me to utilize lists.
import java.lang.*; // In particular, this import will allow me to use Intger.parseInt(java.lang.string);

/**
 * Vegetation is for Animals to eat.
 * 
 * @author Isaac Chen 
 * @version Version 2, March 2023
 */
public class Vegetation extends Actor
{
    private int freshCounter = 0;
    private GreenfootImage image1;
    private GreenfootImage image2;
    
    /**
     * This constructor assigns variables to the two possible images of 
     * a bush (fresh and rotten). Then, it initializes the bush's image as 
     * the fresh version.
     */
    public Vegetation()
    {
        image1 = new GreenfootImage("vegetation.png");
        image2 = new GreenfootImage("rotten-vegetation.png");
        setImage(image1);
    }
    
    /**
     * The act method just continally runs checkFreshness each app cycle.
     * Note that bushes get moved via the Animal class. (When an Animal is
     * overlapping with a Vegetation object, the bush gets removed from the
     * Animal class.)
     */
    public void act()
    {
        checkFreshness();    
    }
    
    /**
     * Increases the freshCounter by 1 each time the method runs, i.e. each
     * app cycle.
     * After 301 app cycles (need freshCounter > 300), the object's image 
     * permanently switches to image2 (the rotten version).
     */
    private void checkFreshness()
    {
        freshCounter++;
        
        if(freshCounter > 300)
        {
            setImage(image2);
        }
    }
}